From 5375390475f299635a3ec1d67d15967fb0e6e0e7 Mon Sep 17 00:00:00 2001
From: Marti Raudsepp <marti@juffo.org>
Date: Mon, 25 Aug 2014 11:20:57 +0300
Subject: [PATCH 1/3] doc: Various typo/grammar fixes

Errors detected using Topy (https://github.com/intgr/topy), all changes
verified by hand and some manual tweaks added.
---
 doc/src/sgml/datatype.sgml               | 2 +-
 doc/src/sgml/func.sgml                   | 4 ++--
 doc/src/sgml/mvcc.sgml                   | 2 +-
 doc/src/sgml/pgbench.sgml                | 4 ++--
 doc/src/sgml/pgcrypto.sgml               | 2 +-
 doc/src/sgml/pltcl.sgml                  | 2 +-
 doc/src/sgml/queries.sgml                | 2 +-
 doc/src/sgml/ref/alter_tsdictionary.sgml | 2 +-
 doc/src/sgml/ref/comment.sgml            | 2 +-
 doc/src/sgml/ref/select.sgml             | 2 +-
 doc/src/sgml/release-7.4.sgml            | 2 +-
 doc/src/sgml/release-8.2.sgml            | 2 +-
 doc/src/sgml/release-9.4.sgml            | 4 ++--
 doc/src/sgml/release-old.sgml            | 6 +++---
 doc/src/sgml/stylesheet.dsl              | 2 +-
 doc/src/sgml/textsearch.sgml             | 2 +-
 doc/src/sgml/xml2.sgml                   | 2 +-
 doc/src/sgml/xoper.sgml                  | 2 +-
 18 files changed, 23 insertions(+), 23 deletions(-)

diff --git a/doc/src/sgml/datatype.sgml b/doc/src/sgml/datatype.sgml
index 5be6de7..3e83dbb 100644
--- a/doc/src/sgml/datatype.sgml
+++ b/doc/src/sgml/datatype.sgml
@@ -2321,7 +2321,7 @@ January 8 04:05:06 1999 PST
    <para>
     Time zones, and time-zone conventions, are influenced by
     political decisions, not just earth geometry. Time zones around the
-    world became somewhat standardized during the 1900's,
+    world became somewhat standardized during the 1900s,
     but continue to be prone to arbitrary changes, particularly with
     respect to daylight-savings rules.
     <productname>PostgreSQL</productname> uses the widely-used
diff --git a/doc/src/sgml/func.sgml b/doc/src/sgml/func.sgml
index c715ca2..734ef5f 100644
--- a/doc/src/sgml/func.sgml
+++ b/doc/src/sgml/func.sgml
@@ -15606,7 +15606,7 @@ SELECT pg_type_is_visible('myschema.widget'::regtype);
    <parameter>schema</> is the schema name that the object belongs in, or
    <literal>NULL</> for object types that do not belong to schemas;
    <parameter>name</> is the name of the object, quoted if necessary, only
-   present if it can be used (alongside schema name, if pertinent) as an unique
+   present if it can be used (alongside schema name, if pertinent) as a unique
    identifier of the object, otherwise <literal>NULL</>;
    <parameter>identity</> is the complete object identity, with the precise format
    depending on object type, and each part within the format being
@@ -17581,7 +17581,7 @@ FOR EACH ROW EXECUTE PROCEDURE suppress_redundant_updates_trigger();
         <entry><type>text</type></entry>
         <entry>
          Name of the object, if the combination of schema and name can be
-         used as an unique identifier for the object; otherwise <literal>NULL</>.
+         used as a unique identifier for the object; otherwise <literal>NULL</>.
          No quoting is applied, and name is never schema-qualified.
         </entry>
        </row>
diff --git a/doc/src/sgml/mvcc.sgml b/doc/src/sgml/mvcc.sgml
index 0bbbc71..cd55be8 100644
--- a/doc/src/sgml/mvcc.sgml
+++ b/doc/src/sgml/mvcc.sgml
@@ -1258,7 +1258,7 @@ UPDATE accounts SET balance = balance - 100.00 WHERE acctnum = 22222;
      correctly.  Advisory locks can be useful for locking strategies
      that are an awkward fit for the MVCC model.
      For example, a common use of advisory locks is to emulate pessimistic
-     locking strategies typical of so called <quote>flat file</> data
+     locking strategies typical of so-called <quote>flat file</> data
      management systems.
      While a flag stored in a table could be used for the same purpose,
      advisory locks are faster, avoid table bloat, and are automatically
diff --git a/doc/src/sgml/pgbench.sgml b/doc/src/sgml/pgbench.sgml
index 23bfa9e..b479105 100644
--- a/doc/src/sgml/pgbench.sgml
+++ b/doc/src/sgml/pgbench.sgml
@@ -762,7 +762,7 @@ pgbench <optional> <replaceable>options</> </optional> <replaceable>dbname</>
 
      <para>
       By default, or when <literal>uniform</> is specified, all values in the
-      range are drawn with equal probability.  Specifiying <literal>gaussian</>
+      range are drawn with equal probability.  Specifying <literal>gaussian</>
       or  <literal>exponential</> options modifies this behavior; each
       requires a mandatory threshold which determines the precise shape of the
       distribution.
@@ -950,7 +950,7 @@ END;
    (useful when multiple scripts were specified with <option>-f</>),
    and <replaceable>time_epoch</>/<replaceable>time_us</> are a
    UNIX epoch format timestamp and an offset
-   in microseconds (suitable for creating a ISO 8601
+   in microseconds (suitable for creating an ISO 8601
    timestamp with fractional seconds) showing when
    the transaction completed.
   </para>
diff --git a/doc/src/sgml/pgcrypto.sgml b/doc/src/sgml/pgcrypto.sgml
index f93e7f9..a1797f8 100644
--- a/doc/src/sgml/pgcrypto.sgml
+++ b/doc/src/sgml/pgcrypto.sgml
@@ -592,7 +592,7 @@ pgp_pub_encrypt_bytea(data bytea, key bytea [, options text ]) returns bytea
 </synopsis>
    <para>
     Encrypt <parameter>data</> with a public PGP key <parameter>key</>.
-    Giving this function a secret key will produce a error.
+    Giving this function a secret key will produce an error.
    </para>
    <para>
     The <parameter>options</> parameter can contain option settings,
diff --git a/doc/src/sgml/pltcl.sgml b/doc/src/sgml/pltcl.sgml
index e47ad96..d2175d5 100644
--- a/doc/src/sgml/pltcl.sgml
+++ b/doc/src/sgml/pltcl.sgml
@@ -51,7 +51,7 @@
     Sometimes it is desirable to write Tcl functions that are not restricted
     to safe Tcl.  For example, one might want a Tcl function that sends
     email.  To handle these cases, there is a variant of <application>PL/Tcl</> called <literal>PL/TclU</>
-    (for untrusted Tcl).  This is the exact same language except that a full
+    (for untrusted Tcl).  This is exactly the same language except that a full
     Tcl interpreter is used.  <emphasis>If <application>PL/TclU</> is used, it must be
     installed as an untrusted procedural language</emphasis> so that only
     database superusers can create functions in it.  The writer of a <application>PL/TclU</>
diff --git a/doc/src/sgml/queries.sgml b/doc/src/sgml/queries.sgml
index c5e8aef..9bf3136 100644
--- a/doc/src/sgml/queries.sgml
+++ b/doc/src/sgml/queries.sgml
@@ -2098,7 +2098,7 @@ DELETE FROM parts
     statements in <literal>WITH</>, the order in which the specified updates
     actually happen is unpredictable.  All the statements are executed with
     the same <firstterm>snapshot</> (see <xref linkend="mvcc">), so they
-    cannot <quote>see</> each others' effects on the target tables.  This
+    cannot <quote>see</> one another's effects on the target tables.  This
     alleviates the effects of the unpredictability of the actual order of row
     updates, and means that <literal>RETURNING</> data is the only way to
     communicate changes between different <literal>WITH</> sub-statements and
diff --git a/doc/src/sgml/ref/alter_tsdictionary.sgml b/doc/src/sgml/ref/alter_tsdictionary.sgml
index 590c4fc..368f8ee 100644
--- a/doc/src/sgml/ref/alter_tsdictionary.sgml
+++ b/doc/src/sgml/ref/alter_tsdictionary.sgml
@@ -126,7 +126,7 @@ ALTER TEXT SEARCH DICTIONARY my_dict ( StopWords = newrussian );
 </programlisting>
 
   <para>
-   The following example command changes the language option to dutch,
+   The following example command changes the language option to <literal>dutch</>,
    and removes the stopword option entirely.
   </para>
 
diff --git a/doc/src/sgml/ref/comment.sgml b/doc/src/sgml/ref/comment.sgml
index 53eadcd..36a7312 100644
--- a/doc/src/sgml/ref/comment.sgml
+++ b/doc/src/sgml/ref/comment.sgml
@@ -288,7 +288,7 @@ COMMENT ON SERVER myserver IS 'my foreign server';
 COMMENT ON TABLE my_schema.my_table IS 'Employee Information';
 COMMENT ON TABLESPACE my_tablespace IS 'Tablespace for indexes';
 COMMENT ON TEXT SEARCH CONFIGURATION my_config IS 'Special word filtering';
-COMMENT ON TEXT SEARCH DICTIONARY swedish IS 'Snowball stemmer for swedish language';
+COMMENT ON TEXT SEARCH DICTIONARY swedish IS 'Snowball stemmer for Swedish language';
 COMMENT ON TEXT SEARCH PARSER my_parser IS 'Splits text into words';
 COMMENT ON TEXT SEARCH TEMPLATE snowball IS 'Snowball stemmer';
 COMMENT ON TRIGGER my_trigger ON my_table IS 'Used for RI';
diff --git a/doc/src/sgml/ref/select.sgml b/doc/src/sgml/ref/select.sgml
index 231dc6a..b69b634 100644
--- a/doc/src/sgml/ref/select.sgml
+++ b/doc/src/sgml/ref/select.sgml
@@ -1312,7 +1312,7 @@ KEY SHARE
     is also acquired by any <command>DELETE</> on a row, and also by an
     <command>UPDATE</> that modifies the values on certain columns.  Currently,
     the set of columns considered for the <command>UPDATE</> case are those that
-    have an unique index on them that can be used in a foreign key (so partial
+    have a unique index on them that can be used in a foreign key (so partial
     indexes and expressional indexes are not considered), but this may change
     in the future.
     Also, if an <command>UPDATE</command>, <command>DELETE</command>,
diff --git a/doc/src/sgml/release-7.4.sgml b/doc/src/sgml/release-7.4.sgml
index 2ad8b5f..5a4c52d 100644
--- a/doc/src/sgml/release-7.4.sgml
+++ b/doc/src/sgml/release-7.4.sgml
@@ -3797,7 +3797,7 @@ DROP SCHEMA information_schema CASCADE;
     </para>
     <para>
      This enabled <command>GRANT</command> to give other users the
-     ability to grant privileges on a object.
+     ability to grant privileges on an object.
     </para>
    </listitem>
   </itemizedlist>
diff --git a/doc/src/sgml/release-8.2.sgml b/doc/src/sgml/release-8.2.sgml
index d1881fd..7f6a74b 100644
--- a/doc/src/sgml/release-8.2.sgml
+++ b/doc/src/sgml/release-8.2.sgml
@@ -5883,7 +5883,7 @@
       <para>
        The new syntax is <link linkend="SQL-CREATEINDEX"><command>CREATE
        INDEX CONCURRENTLY</></link>.  The default behavior is
-       still to block table modification while a index is being
+       still to block table modification while an index is being
        created.
       </para>
      </listitem>
diff --git a/doc/src/sgml/release-9.4.sgml b/doc/src/sgml/release-9.4.sgml
index aba8092..26abce1 100644
--- a/doc/src/sgml/release-9.4.sgml
+++ b/doc/src/sgml/release-9.4.sgml
@@ -46,7 +46,7 @@
      <listitem>
       <para>
        Add <link linkend="datatype-json"><type>jsonb</></link>, a more
-       capable and efficient data type for for storing <acronym>JSON</> data
+       capable and efficient data type for storing <acronym>JSON</> data
       </para>
      </listitem>
 
@@ -1400,7 +1400,7 @@
        <listitem>
         <para>
          Add <link linkend="datatype-json"><type>jsonb</></link>, a more
-         capable and efficient data type for for storing <acronym>JSON</> data
+         capable and efficient data type for storing <acronym>JSON</> data
          (Oleg Bartunov, Teodor Sigaev, Alexander
          Korotkov, Peter Geoghegan, Andrew Dunstan)
         </para>
diff --git a/doc/src/sgml/release-old.sgml b/doc/src/sgml/release-old.sgml
index 1c42f1b..ec8e43f 100644
--- a/doc/src/sgml/release-old.sgml
+++ b/doc/src/sgml/release-old.sgml
@@ -4849,7 +4849,7 @@ New DECLARE and FETCH feature(Thomas)
 libpq's internal structures now not exported(Tom)
 Allow up to 8 key indexes(Bruce)
 Remove ARCHIVE key word, that is no longer used(Thomas)
-pg_dump -n flag to suppress quotes around indentifiers
+pg_dump -n flag to suppress quotes around identifiers
 disable system columns for views(Jan)
 new INET and CIDR types for network addresses(TomH, Paul)
 no more double quotes in psql output
@@ -5250,7 +5250,7 @@ Support SQL92 syntax for type coercion of literal strings
        (e.g. "DATETIME 'now'")(Thomas)
 Add conversions for int2, int4, and OID types to and from text(Thomas)
 Use shared lock when building indexes(Vadim)
-Free memory allocated for an user query inside transaction block after
+Free memory allocated for a user query inside transaction block after
        this query is done, was turned off in &lt;= 6.2.1(Vadim)
 New SQL statement CREATE PROCEDURAL LANGUAGE(Jan)
 New <productname>PostgreSQL</productname> Procedural Language (PL) backend interface(Jan)
@@ -6514,7 +6514,7 @@ Incompatible changes:
 New tools:
  * pgperl - a Perl (4.036) interface to Postgres95
  * pg_dump - a utility for dumping out a postgres database into a
-        script file containing query commands. The script files are in a ASCII
+        script file containing query commands. The script files are in an ASCII
         format and can be used to reconstruct the database, even on other
         machines and other architectures. (Also good for converting
         a Postgres 4.2 database to Postgres95 database.)
diff --git a/doc/src/sgml/stylesheet.dsl b/doc/src/sgml/stylesheet.dsl
index 635588a..2a49e79 100644
--- a/doc/src/sgml/stylesheet.dsl
+++ b/doc/src/sgml/stylesheet.dsl
@@ -617,7 +617,7 @@
 
 ;; By default, the part and reference title pages get wrong page
 ;; numbers: The first title page gets roman numerals carried over from
-;; preface/toc -- we want arabic numerals.  We also need to make sure
+;; preface/toc -- we want Arabic numerals.  We also need to make sure
 ;; that page-number-restart is set of #f explicitly, because otherwise
 ;; it will carry over from the previous component, which is not good.
 ;;
diff --git a/doc/src/sgml/textsearch.sgml b/doc/src/sgml/textsearch.sgml
index 891e7fa..0bc7e7b 100644
--- a/doc/src/sgml/textsearch.sgml
+++ b/doc/src/sgml/textsearch.sgml
@@ -2401,7 +2401,7 @@ more sample word(s) : more indexed word(s)
 </programlisting>
 
     where  the colon (<symbol>:</symbol>) symbol acts as a delimiter between a
-    a phrase and its replacement.
+    phrase and its replacement.
    </para>
 
    <para>
diff --git a/doc/src/sgml/xml2.sgml b/doc/src/sgml/xml2.sgml
index 47ea716..c4b85bf 100644
--- a/doc/src/sgml/xml2.sgml
+++ b/doc/src/sgml/xml2.sgml
@@ -325,7 +325,7 @@ AS t(article_id integer, author text, page_count integer, title text);
 
   <para>
    The calling <command>SELECT</> statement doesn't necessarily have be
-   be just <literal>SELECT *</> &mdash; it can reference the output
+   just <literal>SELECT *</> &mdash; it can reference the output
    columns by name or join them to other tables. The function produces a
    virtual table with which you can perform any operation you wish (e.g.
    aggregation, joining, sorting etc). So we could also have:
diff --git a/doc/src/sgml/xoper.sgml b/doc/src/sgml/xoper.sgml
index 1e6efd5..8568e21 100644
--- a/doc/src/sgml/xoper.sgml
+++ b/doc/src/sgml/xoper.sgml
@@ -189,7 +189,7 @@ SELECT (a + b) AS c FROM test_complex;
 
    <para>
     Unlike commutators, a pair of unary operators could validly be marked
-    as each others' negators; that would mean (A x) equals NOT (B x)
+    as each other's negators; that would mean (A x) equals NOT (B x)
     for all x, or the equivalent for right unary operators.
    </para>
 
-- 
2.1.0

